Skip to content
Snippets Groups Projects
Verified Commit 28e4d23a authored by Lucas Briese's avatar Lucas Briese
Browse files

ci: fix deploy path not changed

parent 03fb7c7f
No related branches found
No related tags found
1 merge request!52feat/trivyEndpoint
Pipeline #108462 passed with warnings
......@@ -57,8 +57,8 @@
}
updateImage() {
deploy=$("${kctl[@]}" set image -f ./deployment.yaml "b-container=registry.opencode.de/opencode-analyzer/data-provider:$tag" --local -o yaml)
echo "${deploy:?"failed to set image name"}" > ./deployment.yaml
deploy=$("${kctl[@]}" set image -f ./data-provider.deployment.yaml "b-container=registry.opencode.de/opencode-analyzer/data-provider:$tag" --local -o yaml)
echo "${deploy:?"failed to set image name"}" > ./data-provider.deployment.yaml
}
init "$@"
......@@ -68,7 +68,7 @@
# finally deploy
if "${kctl[@]}" apply -f .; then
"${kctl[@]}" annotate -f . kubernetes.io/change-cause="$reason" --overwrite=true
if ! "${kctl[@]}" rollout status -f ./deployment.yaml --watch=true --timeout 300s; then
if ! "${kctl[@]}" rollout status -f ./data-provider.deployment.yaml --watch=true --timeout 300s; then
echo "[warning][deploy.sh] deploy failed"
"$rollback" "$target" "$backup"
exit 1
......
......@@ -7,7 +7,7 @@ set -euo pipefail
(
cd "$(dirname "$0")"
deploy="$(realpath ../deploy.sh)"
deployment="$(realpath ../../dev/deployment.yaml)"
deployment="$(realpath ../../dev/data-provider.deployment.yaml)"
deployment_backup="deployment.bac.yaml"
cp -f "$deployment" "$deployment_backup"
......
......@@ -8,8 +8,8 @@ set -euo pipefail
kctl=(kubectl --namespace=fraunhofer)
examples="$(realpath examples)"
configmap="$examples/configmap.yaml"
deployment="$examples/deployment.yaml"
configmap="$examples/data-provider.configmap.yaml"
deployment="$examples/data-provider.deployment.yaml"
rollback="$(realpath ../rollback.sh)"
# create manual backup
......
0% Loading or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment

Consent

On this website, we use the web analytics service Matomo to analyze and review the use of our website. Through the collected statistics, we can improve our offerings and make them more appealing for you. Here, you can decide whether to allow us to process your data and set corresponding cookies for these purposes, in addition to technically necessary cookies. Further information on data protection—especially regarding "cookies" and "Matomo"—can be found in our privacy policy. You can withdraw your consent at any time.